const express = require('express');
const router = express.Router();
const {
    getGroups,
    getGroupById,
    createGroup,
    updateGroup,
    deleteGroup
} = require('../controllers/groupController');
const { auth, admin } = require('../middleware/auth');

// 所有路由都需要认证和管理员权限
router.use(auth, admin);

router.route('/')
    .get(getGroups)
    .post(createGroup);

router.route('/:id')
    .get(getGroupById)
    .put(updateGroup)
    .delete(deleteGroup);

module.exports = router; 