const express = require('express');
const router = express.Router();
const { getSettings, updateSettings, updatePassword } = require('../controllers/settingsController');
const { auth, admin } = require('../middleware/auth');

// 所有路由都需要认证和管理员权限
router.use(auth, admin);

router.route('/')
    .get(getSettings)
    .put(updateSettings);

router.put('/password', updatePassword);

module.exports = router; 